/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
-webkit-appearance: none;
margin: 0;
}

/* Firefox */
input[type=number] {
-moz-appearance: textfield;
}
.form{
    display: flex;
    flex-direction: column;
    margin-top: 30px;
    align-items: center;
    width: 100%;
    
    

}
.form-mod{
    display:flex;
    flex-direction: column;


}

.formulario{
    width: 50%;
    padding-top: 40px ;
    padding-bottom: 40px ;
    margin-right: 20px;
    position: relative;
}
input:valid {
    border: 0
}
.form{ 
    margin-top: 30px; 
    width: 100%;
}
.form-box{
    width: 90%;
    margin: 0 auto;
    display: flex;
    flex-direction: row-reverse;
    flex-wrap: nowrap;
    justify-content: space-between;
}

.formulario:hover{   
    background-color: #283747;
    transition: 1000ms;
    color: white
}
.formulario:not(:hover){
    transition: 1s ease;
}
.form-part{
    display: flex;
    flex-direction: column;
    width: 100%;
    min-height: 44px;
    padding: 9px 0;
    font-size: 16px;
    font-weight: 400;
    line-height: 27px;
    background-color: transparent;
    background-image: none;
    border-radius: 0;
    -webkit-appearance: none;
    
    border-bottom: 1px solid #ebebeb; 
}

.form-part.has-error {
    border-bottom: 1px solid red;
}

.form-part input{
    border: 0;
    background-color: transparent;
    outline: 0;
    
}
.form-part input:focus{
    color:white
}
.form-part input:hover{
    color: white;
}

.box-form span{
   
    font-size: 9px;
    color: red;
}


.form-part input :not(:hover){
    border: 0;
    background-color: transparent;
}
textarea{
    border: 0;
    background-color: transparent;
}
textarea:focus{
    color: white;
}
input :checked{
    border: 0;
    background-color: transparent;
    color: white;
}
.box-form{
    width: 80%;
    margin: 0 auto;
    animation-duration: 2s;
animation-name: sliding;
}
@keyframes sliding {
   from {
     margin-left: 100%;
     width: 300%
   }
   to {
    margin-left: 0%; 
    width: 100%;
}
}

.texto p{
    animation-duration: 4s;
    animation-name: -moz-specific;
}
@keyframes -moz-specific {
    from {
        margin-left: 100%;
        width: 300%
    }
    to {
    margin-left: 0%;
    width: 100%;
    }
}
.sending{
	bottom: 20px;
	border: 1px solid black;
	width: 150px;
	height: 50px;
	left: 30px;
	position: fixed;
	line-height: 50px;
	background-color: #6C6969;
	display: flex;
	align-items: center;
	justify-content: space-around;
	border-radius: 10px;
    color: #ebebeb;
    animation-name: rotateRight;
    animation-duration: 1s;

}


.send-ok{
    bottom: 20px;
	border: 1px solid black;
	width: 470px;
	height: 50px;
	left: 30px;
	position: fixed;
	line-height: 50px;
	background-color: #6C6969;
	display: flex;
	align-items: center;
	justify-content: space-around;
	border-radius: 10px;
    color: #ebebeb;
    cursor: default;
    animation-name: rotateRight;
    animation-duration: 1s;
}
@keyframes  rotateRight {
	from{
		transform: translateX(-470px);
	}
	to{
		transform: translateX(0px);
	}
}
.not-send{

}